#include "U8glib.h"
U8GLIB_SSD1306_128X64 u8g(U8G_I2C_OPT_NONE);  


void drawLogo(uint8_t d)
{
 u8g.setFont(u8g_font_gdr25r);
 u8g.drawStr(8+d, 30+d, "E");
 u8g.setFont(u8g_font_gdr25r);
 u8g.drawStr(30+d,30+d,"l");
 u8g.setFont(u8g_font_gdr25r);
 u8g.drawStr(40+d,30+d,"e"); 
 u8g.setFont(u8g_font_gdr25r);
 u8g.drawStr(55+d,30+d,"c");
 u8g.setFont(u8g_font_gdr25r);
 u8g.drawStr(70+d,30+d,"r");
 u8g.setFont(u8g_font_gdr25r);
 u8g.drawStr(85+d,30+d,"o");
 u8g.setFont(u8g_font_gdr25r);
 u8g.drawStr(100+d,30+d,"w");
}

void drawURL(void)
{
 u8g.setFont(u8g_font_4x6);
 u8g.drawStr(35,54,"www.elecrow.com");

}


void setup(void) {
}

void loop(void) {
 // picture loop
 u8g.firstPage();  
 do {
   drawLogo(0);
   drawURL();
 u8g.setColorIndex(1);
 } while( u8g.nextPage() );  
 // rebuild the picture after some delay
 delay(200);  
}
